#include <libporty/net_async/astdio.h>
#include "sockev.h"
#include "sockev_internal.h"

int sockev_astdio(sockev_t *id)
{
	P_net_socket fdi, fdo;

	if (P_net_async_stdio(&fdi, &fdo) != 0)
		return -1;

	if (*id == SOCKEV_NEW)
		*id = sockev_alloc();

	sockev_setfds(*id, fdi, fdo);
	SOCKS[*id].state = ST_COMM;
	SOCKS[*id].alive = SA_WR | SA_RD;
	SOCKS[*id].watch = SA_WR | SA_RD;
	sockev_setpoll(*id);

	return 0;
}
